import { ApiBase } from './ApiBase';
import { AdaptableModule } from '../../AdaptableState/Common/Types';
import { ExpressionApi } from '../ExpressionApi';
import { AdaptableQuery } from '../../AdaptableState/Common/AdaptableQuery';
import { AdaptableColumn } from '../../AdaptableState/Common/AdaptableColumn';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { ExpressionInternalApi } from '../Internal/ExpressionInternalApi';
export declare class ExpressionApiImpl extends ApiBase implements ExpressionApi {
    internalApi: ExpressionInternalApi;
    constructor(_adaptable: IAdaptable);
    isValidBooleanExpression(query: string, module: AdaptableModule, validationErrorMessage?: string): boolean;
    isValidObservableExpression(expression: string, module: AdaptableModule, validationErrorMessage?: string): boolean;
    isValidAggregatedBooleanExpression(expression: string, module: AdaptableModule, validationErrorMessage?: string): boolean;
    isValidAggregatedScalarExpression(expression: string, module: AdaptableModule, validationErrorMessage?: string): boolean;
    getASTForExpression(query: string): any;
    getColumnsFromExpression(expression: string): string[];
    isColumnQueryable(abColumn: AdaptableColumn): boolean;
    getAdaptableQueryExpression(query: Partial<AdaptableQuery>): string | undefined;
    getAdaptableQueryExpressionWithColumnFriendlyNames(query: Partial<AdaptableQuery>): string | undefined;
    useCaseSensitivity(): boolean;
}
